%define name	ntfs-3g
%define version 1.0
%define	release %mkrel 2
%define major 0
%define libname %mklibname %{name} %major

Summary:	Read-write ntfs driver
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
Source: 	%{name}-%version.tar.bz2
URL:		http://ntfs-3g.org
Buildrequires:  fuse-devel >= 2.5.0
Requires:	fuse >= 2.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

ExclusiveArch:	%{ix86} x86_64

%description

The ntfs-3g package contains NTFS filesystem driver with read and 
write support. It provides safe and fast handling of MS Windows Vista, 
XP, 2000 and Server 2003 NTFS file systems. Most POSIX file system 
operations are supported, with the exceptions of full file 
ownership and access right support.


%package -n %{libname}
Summary: Ntfs-3g driver library
Group: System/Libraries

%description -n %{libname}
Library for ntfs-3g driver.

%package -n %{libname}-devel
Summary: Header files and static libraries for ntfs-3g
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides:  lib%{name}-devel = %version-%release

%description -n %{libname}-devel
You should install this package if you wish to develop applications that
use ntfs-3g.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}

perl -pi -e 's|/sbin/ldconfig|true|' src/Makefile
%makeinstall_std
cat > README.install.urpmi << EOF	 
WARNING :
Install dkms-fuse with kernels older than 2.6.20.2 or not all features will
work properly. 
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc README ChangeLog COPYING AUTHORS CREDITS INSTALL NEWS README.install.urpmi
%{_bindir}/ntfs-3g
%{_mandir}/man8/*
/sbin/mount.ntfs-3g

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libntfs-3g.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libntfs-3g.so
%{_includedir}/ntfs-3g
%{_libdir}/libntfs-3g*a


%changelog
* Thu Feb 22 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2007.0
+ Revision: 124370
- fix description
- fix group
- add warning about FUSE version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix description

* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.1
+ Revision: 123213
- new version
- fix build
- remove warning at installation, this isn't considered beta anymore

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new URL

  + Jérôme Soyer <saispo@mandriva.org>
    - Import ntfs-3g



* Mon Sep 25 2006 Couriousous <couriousous@mandriva.org> 0.1-0.20070920.1mdv2007.0
- 20070920-BETA

* Thu Jul 20 2006 Couriousous <couriousous@mandriva.org> 0.1-0.20070714.2mdv2007.0
- Some spec cleanup
- Build only on ix86
- Upload to contrib

* Thu Jul 19 2006 Davide Duina <davide.duina_AT_gmail_DOT_com> 0.1-0.20070714.1mdv2007.0
- First version, based on Beta 20070714
